Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenChildContainer

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenCommonBase, GenContainerBase, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenChildLabelNode, GenChildNode, GenChildSideAffixedNode, GenCompartment, GenNode, GenTopLevelNode

All Known Implementing Classes:
  GenChildContainerImpl, GenChildLabelNodeImpl, GenChildNodeImpl, GenChildSideAffixedNodeImpl, GenCompartmentImpl, GenNodeImpl, GenTopLevelNodeImpl

    public interface GenChildContainer

extends GenContainerBase

A representation of the model object 'Gen Child Container'. Base class for all ChildNode containers

The following features are supported:

- `Child Nodes`

See Also:
  `GMFGenPackage.getGenChildContainer()`
** Generated **
Model:
  abstract="true"

Field Summary

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`CANONICAL_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`org.eclipse.emf.common.util.EList<GenChildNode>` `getChildNodes()` Returns the value of the 'Child Nodes' reference list.

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`getAssistantNodes, getCanonicalEditPolicyClassName, getCanonicalEditPolicyQualifiedClassName, getContainedNodes, needsCanonicalEditPolicy, setCanonicalEditPolicyClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getBehaviour, getBehaviour, getClassNamePrefix, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, isSansDomain, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getChildNodes

    org.eclipse.emf.common.util.EList<GenChildNode> getChildNodes()

  Returns the value of the 'Child Nodes' reference list. The list contents are of type `GenChildNode`. It is bidirectional and its opposite is '`Containers`'.

  If the meaning of the 'Child Nodes' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Child Nodes' reference list.
  See Also:
    `GMFGenPackage.getGenChildContainer_ChildNodes()`, `GenChildNode.getContainers()`
  ** Generated **
  Model:
    opposite="containers"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.